<?php
namespace Modules\Admin\UsersProfiles;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
				->setDescription($this->lang['index']['options']['description']['insert'])
				->setDimensions(450, 200)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("updateAccess")
				->setDescription($this->lang['index']['options']['description']['updateAccess'])
				->setDimensions(900, 605)
				->setIcon('noAccess')
				->setModule('Modules/Admin/UsersProfiles/Access')
				->setAction('index')
				->setKeyForCurrentRow('id')
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
				->setDescription($this->lang['index']['options']['description']['update'])
				->setDimensions(450, 200)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Container\OptionsMenu::create("mainOptions")
				->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create('copyProfile')
					->setLabel($this->lang['index']['options']['description']['copyProfile'])
					->setIcon('noAccess')
					->setAction('copyProfile')
					->setDimensions(600, 350)
					->setKeyForCurrentRow('id')
				)

				->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
					->setLabel($this->lang['index']['options']['description']['delete'])
				)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
				->setDescription($this->lang['index']['options']['description']['delete'])
			)
		;
	}

}
